Bug 1126634 - [abrt] libwebkit2gtk: gtk_widget_destroy(): WebKitPluginProcess killed by SIGSEGV
Summary: [abrt] libwebkit2gtk: gtk_widget_destroy(): WebKitPluginProcess killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df6009deb8656b750160a57b080...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 22:48 UTC by Jesse
Modified: 2015-12-02 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:24 UTC


Attachments (Terms of Use)
File: backtrace (22.84 KB, text/plain)
2014-08-04 22:48 UTC, Jesse
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-04 22:48 UTC, Jesse
no flags Details
File: core_backtrace (11.01 KB, text/plain)
2014-08-04 22:48 UTC, Jesse
no flags Details
File: dso_list (9.46 KB, text/plain)
2014-08-04 22:48 UTC, Jesse
no flags Details
File: environ (1.72 KB, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: maps (44.04 KB, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: open_fds (765 bytes, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details
File: var_log_messages (207 bytes, text/plain)
2014-08-04 22:49 UTC, Jesse
no flags Details

Description Jesse 2014-08-04 22:48:50 UTC
Version-Release number of selected component:
libwebkit2gtk-2.4.4-4.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitPluginProcess 55 /usr/lib64/mozilla/plugins/libnpgoogletalk.so
crash_function: gtk_widget_destroy
executable:     /usr/libexec/WebKitPluginProcess
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_destroy at gtkwidget.c:3187
 #1 WebKit::NetscapePlugin::platformDestroy at Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapePluginX11.cpp:260
 #2 WebKit::NetscapePlugin::destroy at Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.cpp:678
 #3 WebKit::Plugin::destroyPlugin at Source/WebKit2/WebProcess/Plugins/Plugin.cpp:100
 #4 WebKit::PluginControllerProxy::destroy at Source/WebKit2/PluginProcess/PluginControllerProxy.cpp:153
 #5 destroyPluginControllerProxy at Source/WebKit2/PluginProcess/WebProcessConnection.cpp:82
 #6 WebKit::WebProcessConnection::destroyPlugin at Source/WebKit2/PluginProcess/WebProcessConnection.cpp:198
 #7 callMemberFunctionImpl<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(long unsigned int, bool), std::tuple<long unsigned int, bool>, 0ul, 1ul, std::tuple<> > at Source/WebKit2/Platform/IPC/HandleMessage.h:30
 #8 callMemberFunction<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(long unsigned int, bool), std::tuple<long unsigned int, bool>, std::make_index_sequence<2ul>, std::tuple<>, std::make_index_sequence<0ul> > at Source/WebKit2/Platform/IPC/HandleMessage.h:36
 #9 handleMessage<Messages::WebProcessConnection::DestroyPlugin, WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(unsigned long, bool)> at Source/WebKit2/Platform/IPC/HandleMessage.h:128

Potential duplicate: bug 1065561

Comment 1 Jesse 2014-08-04 22:48:54 UTC
Created attachment 924018 [details]
File: backtrace

Comment 2 Jesse 2014-08-04 22:48:56 UTC
Created attachment 924019 [details]
File: cgroup

Comment 3 Jesse 2014-08-04 22:48:58 UTC
Created attachment 924020 [details]
File: core_backtrace

Comment 4 Jesse 2014-08-04 22:48:59 UTC
Created attachment 924021 [details]
File: dso_list

Comment 5 Jesse 2014-08-04 22:49:00 UTC
Created attachment 924022 [details]
File: environ

Comment 6 Jesse 2014-08-04 22:49:02 UTC
Created attachment 924023 [details]
File: exploitable

Comment 7 Jesse 2014-08-04 22:49:03 UTC
Created attachment 924024 [details]
File: limits

Comment 8 Jesse 2014-08-04 22:49:05 UTC
Created attachment 924025 [details]
File: maps

Comment 9 Jesse 2014-08-04 22:49:06 UTC
Created attachment 924026 [details]
File: open_fds

Comment 10 Jesse 2014-08-04 22:49:07 UTC
Created attachment 924027 [details]
File: proc_pid_status

Comment 11 Jesse 2014-08-04 22:49:08 UTC
Created attachment 924028 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 10:43:59 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:20:26 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.